For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix
Authentication
AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
orgstringRequired
Name of the Org
Query parameters
siteIdstringOptionalformat: "uuid"
Filter VPCs by Site ID. Can be specified multiple times to filter on more than one Site.
statusstringOptional
Filter VPCs by Status. Can be specified multiple times to filter on more than one Status.
networkSecurityGroupIdstringOptional
Filter VPCs by Network Security Group ID. Can be specified multiple times to filter on more than one Network Security Group.
Filter VPCs by NVLink Logical Partition ID. Can be specified multiple times to filter on more than one NVLink Logical Partition.
querystringOptional
Search for matches across all VPCs. Input will be matched against name, description, labels, and status fields
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query
Response headers
X-PaginationstringOptional
Pagination result in JSON format
Response
OK
idstringOptionalRead-onlyformat: "uuid"
ID of the VPC
namestringOptional2-256 characters
Name of the VPC
descriptionstring or nullOptional
Description of the VPC, can be empty
orgstringOptionalRead-only
Organization the VPC belongs to
tenantIdstringOptionalRead-onlyformat: "uuid"
ID of the Tenant the VPC belongs to
siteIdstringOptionalformat: "uuid"
ID of the Site the VPC belongs to
controllerVpcIdstring or nullOptionalformat: "uuid"
Legacy attribute, contains the same value as ID
networkVirtualizationTypeenumOptional
Network virtualization type of the VPC. Flat VPCs hold instances on zero-DPU hosts (or hosts with their DPU in NIC mode); their interfaces are bound to underlay (HostInband) network segments and NICo does not drive their data plane.
Allowed values:
slaacEnabledbooleanOptionalRead-only
Whether this VPC uses SLAAC allocation mode for instance IPv6 interfaces. When true, Core allocates a /64 to each interface that includes IPv6 and retains the prefix without assigning a concrete IPv6 host address. This value is fixed when the VPC is created. The DPU sends router advertisements (RAs) on routed FNN interfaces. With SLAAC enabled, it sends them only when the interface prefix is exactly a /64.
routingProfilestring or nullOptional1-64 characters
Routing profile type for the VPC. Populated when Site has Native Networking enabled and network virtualization type is FNN.
powerResourceGroupstring or nullOptional
External power provisioning resource group associated with the VPC.
routingProfileOverridesobject or nullOptional
Routing-profile properties set directly on the VPC. Unset properties inherit from the named routing profile.
effectiveRoutingProfileobjectOptional
Fully resolved routing profile last reported by Core for the VPC. This property is included only when the requesting Tenant has effective TargetedInstanceCreation permission for the VPC's Site.
requestedVniinteger or nullOptionalRead-only1-16777215
Explicitly requested VNI for the VPC if one was requested at creation time
vniinteger or nullOptionalRead-only1-16777215
Active VNI assigned to the VPC
networkSecurityGroupIdstring or nullOptional
ID of the Network Security Group attached to the VPC
networkSecurityGroupPropagationDetailsobject or nullOptional
Propagation details for the attached Network Security Group. Null when no propagation details are available, including when no Network Security Group is attached
nvLinkLogicalPartitionIdstring or nullOptionalformat: "uuid"
ID of the default NVLink Logical Partition that GPUs for all Instances in the VPC will attach to